Out-of-bounds Read

Affecting imagemagick package, versions <8:6.8.9.9-5+deb8u16

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

In ImageMagick 7.0.8-40 Q16, there is a heap-based buffer over-read in the function WritePNMImage of coders/pnm.c, which allows an attacker to cause a denial of service or possibly information disclosure via a crafted image file. This is related to SetGrayscaleImage in MagickCore/quantize.c.

References

CVSS Score

8.1
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    High
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H
CVE
CVE-2019-11598
CWE
CWE-125
Snyk ID
SNYK-DEBIAN8-IMAGEMAGICK-345479
Disclosed
29 Apr, 2019
Published
29 Apr, 2019